#include <iostream>

using namespace std;

string uradi(int a, int b, string c, string d, string e){
    while(a + b > 0)
    {
        if(a > 0){
            e=e + c;
            a = a - 1;
        }
        if(b > 0){
            e=e + d;
            b = b - 1;
        }
    }
    return e;
}

int main()
{
    string c1;
    string c2;
    int a1;
    int a2;
    string rezultat;

    cin >> c1;
    cin >> c2;
    cin >> a1;
    cin >> a2;
    
        if(abs(a1-a2) < 2)
        {
            if(a1<a2){
            rezultat = uradi(a2,a1,c2,c1,rezultat);
            }
            else
            {
            rezultat = uradi(a1,a2,c1,c2,rezultat);
            }
        }
        else
        { 
            rezultat="nemoguce"; 
        }
    
    cout << rezultat;
  
    return 0;
}